import request from "@/utils/request";



/**
 * 批量插入技能
 *
 * @param id
 * @param data
 */
export function addPostSkill(data: any) {
  return request({
    url: "/api/v1/sys/postSkill/add",
    method: "post",
    data: data,
  });
}
  /**
   * 获取岗位下的技能
   *
   * @param postId
   *
   */
  export function getPostSkill(postId: Number) {
    return request({
      url: "/api/v1/sys/postSkill/list/"+postId,
      method: "get",
    });
}


/**
 * 获取岗位下的技能
 * @param data
 */
export function addEmployeeSkill(data: Object) {
  return request({
    url: "/api/v1/sys/employeeSkill/add",
    method: "post",
    data:data,
  });
}

/**
 * 获取岗位下的技能
 * @param data
 */
export function getSkillDetail(id: String) {
  return request({
    url: "/api/v1/sys/employeeSkill/get/"+id,
    method: "get",

  });
}

